CreateElectricalEdge
POST
/api/sites/{siteId}/electrical/edges
const url = 'https://demo.consystence.com/api/sites/example/electrical/edges';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sourceId":"example","targetId":"example","edgeType":0}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.consystence.com/api/sites/example/electrical/edges \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sourceId": "example", "targetId": "example", "edgeType": 0 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”siteId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
sourceId
required
string
targetId
required
string
edgeType
required
integer format: int32
Responses
Section titled “Responses”OK